<?php
if (!defined('DC_RC_PATH')) { return; }

Clearbricks::lib()->autoload(['baseConversion' => dirname(__FILE__).'/class.baseConversion.php']);
Clearbricks::lib()->autoload(['dcShortURL' => dirname(__FILE__).'/class.dc.shortURL.php']);

if (dcCore::app()->blog->settings->shortURL->shortURLEnabled) {
    dcCore::app()->url->register(
        'shortURL',
        dcCore::app()->blog->settings->shortURL->shortURLPrefix,
        '^'.dcCore::app()->blog->settings->shortURL->shortURLPrefix.'/(.+)$',
        ['shortURL','postById']
    );
    dcCore::app()->url->register(
        'shortURLComment',
        dcCore::app()->blog->settings->shortURL->shortURLCommentPrefix,
        '^'.dcCore::app()->blog->settings->shortURL->shortURLCommentPrefix.'/(.+)$',
        ['shortURL','postByCommentId']
    );

    if (dcCore::app()->blog->settings->shortURL->shortURLBackCompatibility && dcCore::app()->blog->settings->shortURL->shortURLPrefix != 'postid') {
        dcCore::app()->url->register('oldShortURL', 'postid', '^postid/(\d+)$', ['shortURL', 'postById']);
    }
}
